Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.util
Class OutputErrorStreamManager.OutputErrorStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.FilterOutputStream
                  |
                  +--java.io.PrintStream
                        |
                        +--ccl.util.OutputErrorStreamManager.OutputErrorStream

Enclosing class:
  OutputErrorStreamManager

public class OutputErrorStreamManager.OutputErrorStream
extends java.io.PrintStream

Special stream which hooks into out or err stream.

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`OutputErrorStreamManager.OutputErrorStream(java.io.PrintStream out_)`

Method Summary
`void` | `flush()`
`void` | `write(byte[] buf, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.io.PrintStream
`checkError, close, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, setError`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputErrorStreamManager.OutputErrorStream

    public OutputErrorStreamManager.OutputErrorStream(java.io.PrintStream out_)

Method Detail

### flush

    public void flush()

  Overrides:
    `flush` in class `java.io.PrintStream`

### write

    public void write(int b)

  Overrides:
    `write` in class `java.io.PrintStream`

### write

    public void write(byte[] buf,
                      int off,
                      int len)

  Overrides:
    `write` in class `java.io.PrintStream`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD